> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mesadepagos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List wallets

> Returns the wallets of the authenticated business.



## OpenAPI

````yaml /openapi-v2.en.yaml get /v2/wallets
openapi: 3.0.0
info:
  title: YP API Partner
  description: Integration documentation for YP API partners.
  version: v2
  contact: {}
servers:
  - url: https://sandbox-rampa.mesadepagos.com/api
    description: Sandbox
security: []
tags:
  - name: Auth
    description: ''
  - name: Quotes
    description: ''
  - name: Payin
    description: ''
  - name: Payout
    description: ''
  - name: Wallet
    description: ''
  - name: Queries
    description: ''
  - name: Webhooks
    description: ''
  - name: Fees
    description: ''
  - name: Clients
    description: ''
paths:
  /v2/wallets:
    get:
      tags:
        - Wallet
      summary: List wallets
      description: Returns the wallets of the authenticated business.
      operationId: getWallets
      parameters: []
      responses:
        '200':
          description: Available wallets.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetWalletsResponseDoc'
        '401':
          description: Missing, invalid, or expired token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponseDoc'
      security:
        - bearer: []
components:
  schemas:
    GetWalletsResponseDoc:
      type: object
      properties:
        wallets:
          description: Wallets of the authenticated business.
          type: array
          items:
            $ref: '#/components/schemas/WalletResponseDoc'
      required:
        - wallets
    UnauthorizedResponseDoc:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
    WalletResponseDoc:
      type: object
      properties:
        walletId:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440001
          description: Wallet or vault identifier.
        status:
          type: string
          example: ACTIVE
          description: Wallet status.
        createdAt:
          type: string
          example: '2026-05-12T12:00:00.000Z'
          description: Wallet creation date.
        assets:
          description: Assets configured in the wallet.
          type: array
          items:
            $ref: '#/components/schemas/WalletAssetResponseDoc'
      required:
        - walletId
        - status
        - createdAt
        - assets
    WalletAssetResponseDoc:
      type: object
      properties:
        id:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
          description: Internal identifier of the asset associated with the wallet.
        walletAddress:
          type: object
          example: '0x0000000000000000000000000000000000000000'
          nullable: true
          description: Primary deposit address.
        legacyAddress:
          type: object
          example: null
          nullable: true
          description: Legacy address, if applicable to the network.
        symbol:
          type: string
          enum:
            - USDC
            - USDT
          example: USDC
          description: Asset symbol.
        blockchain:
          type: string
          enum:
            - Polygon
            - Ethereum
            - TRON
            - Binance
            - Sepolia
          example: Polygon
          description: Blockchain associated with the asset.
      required:
        - id
        - symbol
        - blockchain
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: JWT obtained from /v2/auth/login

````